## BtIcInputDevice BtIcInputDevice — buzztraxs interaction controller input device |

## Functions

BtIcInputDevice * | btic_input_device_new ()

## Properties

gchar * | devnode | Read / Write / Construct Only

## Types and Values

struct | BtIcInputDevice

## Object Hierarchy

        GObject
        ╰── BtIcDevice
            ╰── BtIcInputDevice

## Includes

    #include <libbtic/ic.h>

## Description

Event handling for input devices (joystick,hdaps,wiimote).

## Functions

### btic_input_device_new ()

    BtIcInputDevice *
    btic_input_device_new (const gchar *udi,
                           const gchar *name,
                           const gchar *devnode);

Create a new instance

#### Parameters

udi | the udi of the device |
name | human readable name |
devnode | device node in filesystem |

#### Returns

the new instance or `NULL` in case of an error

## Types and Values

### struct BtIcInputDevice

    struct BtIcInputDevice;

buzztraxs interaction controller registry

## Property Details

### The `“devnode”` property

      “devnode”                  gchar *

device node path.

Flags: Read / Write / Construct Only

Default value: NULL